
// 导入颜色选择器组件
import Button from './src/index'
 
// 存储组件列表
const components = [
  Button
]
 
// 定义 install 方法，接收 Vue 作为参数。如果使用 use 注册插件，则所有的组件都将被注册
const install = function (Vue, options) {
  // 判断是否安装
  if (install.installed) return
  // 遍历注册全局组件
  components.map(component => Vue.component(component.name, component))
  if (options) {
    console.log(options)
    getOptions(Vue, options)
  }
}
 
// 判断是否是直接引入文件
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

function getOptions(Vue, options) {
  Vue.prototype.$mydata = options
}

export default {
  // 导出的对象必须具有 install，才能被 Vue.use() 方法安装
  install,
  // 以下是具体的组件列表
  Button
}